class CreateExpressAnalyticsLogEntries < ActiveRecord::Migration
  def change
    create_table :express_analytics_log_entries do |t|
      t.string :action, limit: 64
      t.string :username, limit: 64
      t.string :ip_address, limit: 16
      t.string :geo_country_code, limit: 3
      t.string :geo_administrative_area, limit: 64
      t.string :geo_locality, limit: 64
      t.float :geo_latitude
      t.float :geo_longitude
      t.string :user_agent
      t.string :entity_type
      t.integer :entity_id
      t.string :notes

      t.datetime :created_at, null: false
    end
  end
end
