require "express_analytics/engine"
require "express_analytics/default_logger"

module ExpressAnalytics

  def self.initialize!
    initialize_filter!


    ActionDispatch::Reloader.to_prepare do
      ExpressAccess.initialize_filter!
    end
  end

  def self.initialize_filter!
    ActionController::Base.send(:include, ExpressAnalytics::DefaultLogger)
    puts "Added ExpressAnalytics::DefaultLogger to ActionController::Base" unless Rails.env.test?
  end


end
